using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace NKC_WF.WebUserControls
{
    public partial class cmp_KS_Cart : BaseUserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }


        /// <summary>
        /// Cart selezionato
        /// </summary>
        public int CartID
        {
            get
            {
                return cmp_KS_currCart.CurrId;
            }
            set
            {
                cmp_KS_currCart.CurrId = value;
                hlShowDetail.DataBind();
            }
        }

        /// <summary>
        /// Matrix Bin selezionato
        /// </summary>
        public string CartDtmx
        {
            get
            {
                return cmp_KS_currCart.Dtmx;
            }
            set
            {
                cmp_KS_currCart.Dtmx = value;
                cmp_KS_OkibCart.Dtmx = value;
                cmp_KS_OkoiCart.Dtmx = value;
            }
        }
        /// <summary>
        /// Descrizione Cart selezionato (ord ext code)
        /// </summary>
        public string CartDesc
        {
            get
            {
                return cmp_KS_currCart.Description;
            }
            set
            {
                cmp_KS_currCart.Description = value;
            }
        }
        public void doUpdate()
        {
        }
    }
}